Subject: bug#62994: [PATCH v6] Add support for colored and styled underlines on tty frames

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 Apr 2024 18:57:53 +0300

> From: Mohsin Kaleem <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 21 Apr 2024 15:51:16 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > The Subject line is longer than 78 characters, so our commit hooks
> > didn't allow me to apply this.  Please make the Subject line shorter,
> > possibly by dropping the bug number (mention the bug number somewhere
> > in the rest of the log message).
> 
> Sorry, I'm not quite sure what you mean. Are you referring to the
> subject line of the email message? That's 85 characters, but removing re
> and the [PATCH X] part condenses it to 70 characters.

I don't know what exactly does "git am" do with Subject, but the fact
is the pre-commit hook aborted the commit.

How about if you produce a patch with "git format-patch", and then
attach the result to the mail (as an attachment)?  It could be that
the problem here is with some problematic format of the Subject line,
but there's no reason to have the patch heading be the Subject of the
email.

> To confirm this is what I did, I'm not sure if it's exactly what you
> were recommending:
> 
> 1. emacs -Q .git/COMMIT_EDITMSG
> 2. M-x change-log-mode
> 3. C-SPC to end of buffer message
> 4. C-M-\
> 5. Manually remove the leading indentation Emacs seems to have inserted
> (other commit messages didn't seem to have this).
> 
> The end result doesn't seem to have changed the line length of anything,
> although it did highlight one point where the entry was malformed.

That's not what I meant.  In order to have the proper line length, you
need first to add a TAB before each line, then turn on
change-log-mode, then fill the lines with M-q, then remove the leading
TABs.

The reason for this is that the Git logs are used to produce ChangeLog
files when we prepare a release, and ChangeLog files have a TAB before
each line of the log entries.

> Updated.
> 
> >> -	return false;		/* same as default */
> >> +	return false;  /* same as default */
> >
> > Why this whitespace change?
> 
> I suspect this was a byproduct of me re-indenting comments in an earlier patch.
> 
> Removed now.

Did you forget to attach the updated patch?